Loading...
Searching...
No Matches
RDKit::MolStandardize::IsotopeValidation Class Reference

The IsotopeValidation class logs if molecule contains isotopes. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::IsotopeValidation:

## Public Member Functions

| IsotopeValidation (bool strict=false)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Public Attributes

bool | strict

## Detailed Description

The IsotopeValidation class logs if molecule contains isotopes.

Notes:

- By default, this class will return an error every time an isotopic number is specified. When the strict constructor parameter is passed a true argument, an error is returned only if the specified isotopic number is not found in the RDKit periodic table.

Definition at line 141 of file Validate.h.

## Constructor & Destructor Documentation

## IsotopeValidation()

RDKit::MolStandardize::IsotopeValidation::IsotopeValidation | ( | bool | strict = false | ) |

inline

Definition at line 143 of file Validate.h.

References strict.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::IsotopeValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Definition at line 147 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::IsotopeValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

## Member Data Documentation

## strict

bool RDKit::MolStandardize::IsotopeValidation::strict

Definition at line 151 of file Validate.h.

Referenced by IsotopeValidation().

The documentation for this class was generated from the following file:

- Validate.h